<?php


namespace Tool\MayouTool\Bean\Pdd\Ddk;


use Tool\MayouTool\Bean\BaseBeanV1;

class GoodsRecommendGetParamBean extends BaseBeanV1
{
    /**
     * 活动商品标记数组，例：[4,7]，4-秒杀，7-百亿补贴，10851-千万补贴，31-品牌黑标，10564-精选爆品-官方直推爆款，10584-精选爆品-团长推荐，24-品牌高佣，其他的值请忽略
     */
    private $activity_tags;

    /**
     * 猜你喜欢场景的商品类目，20100-百货，20200-母婴，20300-食品，20400-女装，20500-电器，20600-鞋包，20700-内衣，20800-美妆，20900-男装，21000-水果，21100-家纺，21200-文具,21300-运动,21400-虚拟,21500-汽车,21600-家装,21700-家具,21800-医药
     */
    private $cat_id;

    /**
     * 进宝频道推广商品: 1-今日销量榜,3-相似商品推荐,4-猜你喜欢(和进宝网站精选一致),5-实时热销榜,6-实时收益榜。默认值5
     */
    private $channel_type;

    /**
     * 自定义参数json
     */
    private $custom_parameters;

    /**
     * 商品goodsSign列表，相似商品推荐场景时必传，仅取数组的第一位，例如：["c9r2omogKFFAc7WBwvbZU1ikIb16_J3CTa8HNN"]
     */
    private $goods_sign_list;

    /**
     * 每页数量
     */
    private $limit;

    /**
     * 翻页时建议填写前页返回的list_id值
     */
    private $list_id;

    /**
     * 从多少位置开始请求；默认值 ： 0，offset需是limit的整数倍，仅支持整页翻页
     */
    private $offset;

    /**
     * 推广位ID
     */
    private $pid;

    /**
     * @return mixed
     */
    public function getActivityTags()
    {
        return $this->activity_tags;
    }

    /**
     * @param mixed $activity_tags
     */
    public function setActivityTags($activity_tags)
    {
        $this->activity_tags = $activity_tags;
    }

    /**
     * @return mixed
     */
    public function getCatId()
    {
        return $this->cat_id;
    }

    /**
     * @param mixed $cat_id
     */
    public function setCatId($cat_id)
    {
        $this->cat_id = $cat_id;
    }

    /**
     * @return mixed
     */
    public function getChannelType()
    {
        return $this->channel_type;
    }

    /**
     * @param mixed $channel_type
     */
    public function setChannelType($channel_type)
    {
        $this->channel_type = $channel_type;
    }

    /**
     * @return mixed
     */
    public function getCustomParameters()
    {
        return $this->custom_parameters;
    }

    /**
     * @param mixed $custom_parameters
     */
    public function setCustomParameters($custom_parameters)
    {
        $this->custom_parameters = $custom_parameters;
    }

    /**
     * @return mixed
     */
    public function getGoodsSignList()
    {
        return $this->goods_sign_list;
    }

    /**
     * @param mixed $goods_sign_list
     */
    public function setGoodsSignList($goods_sign_list)
    {
        $this->goods_sign_list = $goods_sign_list;
    }

    /**
     * @return mixed
     */
    public function getLimit()
    {
        return $this->limit;
    }

    /**
     * @param mixed $limit
     */
    public function setLimit($limit)
    {
        $this->limit = $limit;
    }

    /**
     * @return mixed
     */
    public function getListId()
    {
        return $this->list_id;
    }

    /**
     * @param mixed $list_id
     */
    public function setListId($list_id)
    {
        $this->list_id = $list_id;
    }

    /**
     * @return mixed
     */
    public function getOffset()
    {
        return $this->offset;
    }

    /**
     * @param mixed $offset
     */
    public function setOffset($offset)
    {
        $this->offset = $offset;
    }

    /**
     * @return mixed
     */
    public function getPid()
    {
        return $this->pid;
    }

    /**
     * @param mixed $pid
     */
    public function setPid($pid)
    {
        $this->pid = $pid;
    }
}