<?php


namespace Tool\MayouTool;


use Tool\MayouTool\Exception\SmsException;
use Tool\MayouTool\Sms\QidianyunSms;
use Tool\MayouTool\Sms\SanTiSms;

class SmsTool
{
    /**
     * 短信验证码发送
     * @param $phone string 手机号
     * @param $code string 验证码
     * @param $type string 断行服务商(santi三体qidianyun奇点云)
     * @return mixed
     */
    public static function sendCode($phone, $code,$type)
    {
        switch ($type){
            case "santi":
                return SanTiSms::send($phone,$code);
                break;
            case "qidianyun":
                return QidianyunSms::send($phone,$code);
                break;
            default:
                throw new SmsException("短信运营商不正确");
        }
    }
}